Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

N'oubliez pas de cocher la case « Ajustement pour l'heure d'été » dans votre profil.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 17/04/2018, à 09:50

tbernard

Erreur Python apt-add-repository

Bonjour, j'ai une erreur python quand je dois ajouter un répertoire. Malgré des recherches et des gens ayant le même problème que moi sur le forum, je n'ai pas trouvé la solution..;

$ sudo apt-add-repository ppa:damien-moore/codeblocks-stableTraceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 335, in get_ppa_info
    ret = get_ppa_info_from_lp(user, ppa)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 92, in get_ppa_info_from_lp
    return get_info_from_lp(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 88, in get_info_from_lp
    return _get_https_content_py3(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 110, in _get_https_content_py3
    lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
  File "/usr/lib/python3.5/urllib/request.py", line 153, in urlopen
    capath=capath)
  File "/usr/lib/python3.5/ssl.py", line 470, in create_default_context
    context.load_verify_locations(cafile, capath, cadata)
ssl.SSLError: unknown error (_ssl.c:3053)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/apt-add-repository", line 122, in <module>
    shortcut = shortcut_handler(line)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 864, in shortcut_handler
    ret = factory(shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 407, in shortcut_handler
    return PPAShortcutHandler(shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 364, in __init__
    info = get_ppa_info(self.shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 347, in get_ppa_info
    _get_suggested_ppa_message(user, ppa))
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 304, in _get_suggested_ppa_message
    lp_user = get_info_from_lp(LAUNCHPAD_USER_API % user)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 88, in get_info_from_lp
    return _get_https_content_py3(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 110, in _get_https_content_py3
    lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
  File "/usr/lib/python3.5/urllib/request.py", line 153, in urlopen
    capath=capath)
  File "/usr/lib/python3.5/ssl.py", line 470, in create_default_context
    context.load_verify_locations(cafile, capath, cadata)
ssl.SSLError: unknown error (_ssl.c:3053)

Help, pleeeeeease :)

Hors ligne

#2 Le 17/04/2018, à 11:31

shoot76

Re : Erreur Python apt-add-repository

Salut smile

C'est une erreur SSL. APT n'arrive pas à récupérer le certificat qui sert à authentifier le PPA.

Deux causes :
- Le PPA est foireux et n'est pas sécurisé en HTTPS
- Tu utilises internet derrière un proxy HTTP qui filtre le certificat

Deux solutions :
- Ajouter le dépôt toi même (à la main) et voir si ça marche
- Autoriser apt à ajouter un dépôt non vérifié

Première solution : éditer le fichier /etc/apt/sources.list et y ajouter les lignes suivantes (pour Xenial, à modifier si ta version d'Ubuntu est différente) :

deb http://ppa.launchpad.net/damien-moore/codeblocks-stable/ubuntu xenial main 
deb-src http://ppa.launchpad.net/damien-moore/codeblocks-stable/ubuntu xenial main 

Deuxième solution :

apt-get --allow-unauthenticated add-apt-repository ppa:damien-moore/codeblocks-stable

Je me permettrai juste une remarque : Utiliser des PPA n'est jamais bon. Surtout quand les logiciels proposés existent dans les dépôts. Tu ajoutes des sources d'instabilité à ton système et c'est pas vraiment une bonne idée. Je te conseille donc de rester sur les versions proposées dans les dépôts plutôt que d'utiliser un PPA :

sudo apt install build-essential codeblocks

~ La mort d'une personne est une tragédie, celle d'un million c'est des statistiques. [J. Staline]

Hors ligne